Subject: text type

From: [email-masked] (James Woods 61-89-895257)
Date: Wed, 25 Aug 93 16:07:15 CST

I have a user defined function written in C which takes an argument of
type text.  When the backend passes this argument in, is the string
that is passed in NULL terminated?  I have a feeling that it doesn't as
my function appears to be producing data with garbage on the and of the
strings.

If it is not NULL terminated what is the correct way to create a NULL
terminated string out of it so that I can use the normal str functions
on it?

James Woods 
[email-masked]